Bug 827731 - Places panel does not respect 'hidden' attribute of encrypted containers
Places panel does not respect 'hidden' attribute of encrypted containers
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kdelibs (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-02 13:25 EDT by basjetimmer
Modified: 2013-08-01 07:46 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 07:46:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Video grab showing the problem (4.21 MB, video/x-matroska)
2012-06-02 13:25 EDT, basjetimmer
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 301999 None None None 2012-07-12 07:32:34 EDT

  None (edit)
Description basjetimmer 2012-06-02 13:25:45 EDT
Created attachment 588683 [details]
Video grab showing the problem

Description of problem:
I have a couple of encrypted partitions which I unlock during boot with entries in /etc/crypttab, and are subsequently mounted by entries in /etc/fstab. Both the encrypted container and the unlocked drive (residing inside the container) are shown in the places panel, the former appears as 'xxx GB encrypted container' the latter by it's disk label. Obviously I choose to hide the container and use the unlocked, correctly labeled disk entry. However, whenever clicking this entry, the hidden container entry appears and focus shifts to it.

Version-Release number of selected component (if applicable):
This is happening in the current version (4.8.3), but has been going on since at least 4.7.4. It has however never worked correctly since KDE switched from HAL to udisks, though at first the problem was that only the container entry appeared and the unlocked, labeled partition did not appear at all.

How reproducible:
Always

Steps to Reproduce:
- Create an encrypted container, and add it to /etc/crypttab to be unlocked at boot.
- Create a partition inside the container. Give the partition a label, mount it at boot through /etc/fstab
- Watch as both the container and the unlocked partition appear in KDE's places sidebar (as in Dolphin for example)
- Hide the container, click the labeled disk.
  
Actual results:
The hidden container appears and get focus.

Expected results:
The clicked entry gets focus and we never ever see the container entry again.

Additional info:
I'm not sure how clear my description of the problem is so I've created and attached a little video to show it. In this video there are two encrypted partitions of 1000MB, labeled 'C_F' and 'C_NF'. Also note even though / and /home are also separate, encrypted partitions, these do not show this problem.

Thanks!
Comment 1 basjetimmer 2012-06-05 11:07:56 EDT
Just did a fresh install of Fedora 17 and got exactly the same behavior.
Comment 2 Fedora End Of Life 2013-07-03 23:45:31 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2013-08-01 07:46:36 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.